Document Sets (Core)
Endpoints to create, update, and read document sets and files.
This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef} instead
Reference to the entity you want to get
Documents were found. The results are in the body.
DocumentSet
Creation timestamp
2026-06-17T12:00:00.000Zconnected facility
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fUnique identifier for the document set
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modification timestamp
2026-06-17T12:00:00.000ZVersion number for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/documentSet/{documentSetRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-06-17T12:00:00.000Z",
"documents": [
{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}
],
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-06-17T12:00:00.000Z",
"version": 1
}This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef}/documents instead
Reference to the documentSet you want to add a file to
ExternalPrintableDocumentForCreation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Document was found. The results are in the body.
PrintableDocument
Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.
DocumentCategory
DocumentType
DocumentStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
POST /api/documentSet/{documentSetRef}/documents HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1124
{
"customAttributes": {},
"file": {
"content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
"name": "example.pdf"
},
"operations": [
"PRINT"
],
"priority": 1,
"status": "AVAILABLE",
"type": "PDF"
}{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef}/documents/{documentRef} instead
Reference to the documentSet you want to update
Reference to the single document you want to update
PrintableDocumentForUpdate
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Document was found. The results are in the body.
PrintableDocument
Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.
DocumentCategory
DocumentType
DocumentStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PATCH /api/documentSet/{documentSetRef}/documents/{documentRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92
{
"customAttributes": {},
"operations": [
"PRINT"
],
"priority": 1,
"status": "AVAILABLE",
"version": 1
}{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}This part of the API is deprecated. For details, see the API release lifecycle documentation.
Reference to the documentSet you want to download a file from
Reference to the single document you want to download
The document as a stream
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/documentSet/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef}/documents/{documentRef}/file instead
Reference to the documentSet you want to update
Reference to the single document you want to update
ExternalDocumentContentForUpdate
Version of documentSet to which this document belongs.
2Changed Document
PrintableDocument
Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.
DocumentCategory
DocumentType
DocumentStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PUT /api/documentSet/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1055
{
"documentSetVersion": 2,
"file": {
"content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
"name": "example.pdf"
}
}{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}Get document set for given id
Documents were found. The results are in the body.
DocumentSet
Creation timestamp
2026-06-17T12:00:00.000Zconnected facility
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fUnique identifier for the document set
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modification timestamp
2026-06-17T12:00:00.000ZVersion number for optimistic locking
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/documentsets/{documentSetRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2026-06-17T12:00:00.000Z",
"documents": [
{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}
],
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-06-17T12:00:00.000Z",
"version": 1
}add new document to document set
ExternalPrintableDocumentForCreation
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Document was found. The results are in the body.
PrintableDocument
Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.
DocumentCategory
DocumentType
DocumentStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
POST /api/documentsets/{documentSetRef}/documents HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1124
{
"customAttributes": {},
"file": {
"content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
"name": "example.pdf"
},
"operations": [
"PRINT"
],
"priority": 1,
"status": "AVAILABLE",
"type": "PDF"
}{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}Update document of document set
PrintableDocumentForUpdate
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Document was found. The results are in the body.
PrintableDocument
Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.
DocumentCategory
DocumentType
DocumentStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PATCH /api/documentsets/{documentSetRef}/documents/{documentRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92
{
"customAttributes": {},
"operations": [
"PRINT"
],
"priority": 1,
"status": "AVAILABLE",
"version": 1
}{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}Download file of document set
The document as a stream
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/documentsets/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
textAdd document content to document set
ExternalDocumentContentForUpdate
Version of documentSet to which this document belongs.
2Changed Document
PrintableDocument
Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.
DocumentCategory
DocumentType
DocumentStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PUT /api/documentsets/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1055
{
"documentSetVersion": 2,
"file": {
"content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
"name": "example.pdf"
}
}{
"customAttributes": {},
"documentCategory": "EXTERNAL",
"documentType": "PDF",
"id": "text",
"name": "text",
"operations": [
"PRINT"
],
"path": "text",
"priority": 1,
"status": "AVAILABLE"
}Last updated
Was this helpful?

